Navicat生成指定sql文件版本

Navicat生成指定sql文件版本

听风知秋雨 984 2020-10-16

mysql在数据备份时因为mysql版本不同,导致于高版本数据库生成的sql文件,放到低版本数据库中不能执行,在Navicat中生成sql文件时是可以指定版本的,那么就可以解决这个问题

1.查看要导入数据的mysql版本号

mysql -V #执行该命令可以在不登录的情况下查看mysql版本,注意V一定要大写

2.生成对应版本的sql文件

  • 选择数据库后找到Navicat的数据传输
  • 指定相应的sql文件版本

完成以上步骤就大工告成了,不过在不同的Navicat版本中会有些不同,我的是12.0的版本


 mysql